summaryrefslogtreecommitdiffhomepage
path: root/modules
diff options
context:
space:
mode:
Diffstat (limited to 'modules')
-rwxr-xr-xmodules/freifunk/ipkg/postinst5
-rwxr-xr-xmodules/freifunk/root/etc/init.d/freifunk11
-rw-r--r--modules/freifunk/root/etc/rc.local2
3 files changed, 18 insertions, 0 deletions
diff --git a/modules/freifunk/ipkg/postinst b/modules/freifunk/ipkg/postinst
new file mode 100755
index 000000000..90e28effe
--- /dev/null
+++ b/modules/freifunk/ipkg/postinst
@@ -0,0 +1,5 @@
+#!/bin/sh
+
+[ -n "${IPKG_INSTROOT}" ] || {
+ /etc/init.d/freifunk enabled || /etc/init.d/freifunk enable
+}
diff --git a/modules/freifunk/root/etc/init.d/freifunk b/modules/freifunk/root/etc/init.d/freifunk
new file mode 100755
index 000000000..b7a1f90eb
--- /dev/null
+++ b/modules/freifunk/root/etc/init.d/freifunk
@@ -0,0 +1,11 @@
+#!/bin/sh /etc/rc.common
+# Freifunk Init
+# $Id$
+
+START=99
+
+boot() {
+ echo "*/5 * * * * killall -HUP dnsmasq" >> /etc/crontabs/root
+
+ [ -f /etc/rc.local ] && . /etc/rc.local
+}
diff --git a/modules/freifunk/root/etc/rc.local b/modules/freifunk/root/etc/rc.local
new file mode 100644
index 000000000..58e44e47a
--- /dev/null
+++ b/modules/freifunk/root/etc/rc.local
@@ -0,0 +1,2 @@
+# /etc/rc.local
+# Only executed on boot, put your custom startup commands here